Aurora MySQL 資料庫引擎更新 2019-05-29 (2.04.4 版) (已棄用) - Amazon Aurora

本文為英文版的機器翻譯版本,如內容有任何歧義或不一致之處,概以英文版為準。

Aurora MySQL 資料庫引擎更新 2019-05-29 (2.04.4 版) (已棄用)

版本:2.04.4

Aurora MySQL 2.04.4 已全面推出。Aurora MySQL 2.x 版與 MySQL 5.7 版相容,Aurora MySQL 1.x 版則與 MySQL 5.6 版相容。

目前支援的 Aurora MySQL 版本包括 1.19.5、1.19.6、1.22.*、1.23.*、2.04.*、2.07.*、2.08.*、2.09.*、2.10.*、3.01.* 和 3.02.*。

建立新的 Aurora MySQL 資料庫叢集 (包括還原快照) 時,您可以選擇要相容於 MySQL 5.7 或 MySQL 5.6。Aurora MySQL 1.* 叢集不可就地升級,或 Aurora MySQL 1 * 叢集不可從 Amazon S3 備份還原至 Aurora MySQL 2.04.4。我們預計在未來推出 Aurora MySQL 2.* 版時移除這些限制。

您可以將 Aurora MySQL 1.14.*、1.15.*、1.16.*、1.17.*、1.18.*、1.19.*、2.01.*、2.02.*、2.03.* 和 2.04.* 的快照還原為 Aurora MySQL 2.04.4。

如果您有任何問題或疑慮,可以在社群論壇和 Support AWS 援中心取得 Sup AWS port。如需詳細資訊,請參閱《Amazon Aurora 使用者指南》中的維護 Amazon Aurora 資料庫叢集

注意

此版本目前不適用於 AWS GovCloud (美國西部) [us-gov-west-1]、歐洲 (斯德哥爾摩) [歐洲-北部 -1]、中國 (寧夏) [CN-西北 -1] 和亞太區域 (香港) [ap-east-1] 等地區。 AWS 待該版本可供使用時,會再另行宣布。

注意

如需如何升級 Aurora MySQL 資料庫叢集的詳細資訊,請參閱《Amazon Aurora 使用者指南》中的升級 Aurora MySQL 資料庫叢集的次要版本或修補程式層級

改善項目

  • 修正從 S3 載入資料至 Aurora 時會導致失敗的問題。

  • 修正從 Aurora 上傳資料至 S3 時會導致失敗的問題。

  • 修復在處理網路通訊協定管理中錯誤時造成連線中止的問題。

  • 修正處理分割資料表時導致當機的問題。

  • 修正部分區域無法使用績效詳情功能的問題。

與 Aurora MySQL 第 1 版比較

下列 Amazon Aurora MySQL 功能在 Aurora MySQL 第 1 版 (與 MySQL 5.6 相容) 中有支援,但目前這些功能在 Aurora MySQL 第 2 版 (與 MySQL 5.7 相容) 中不支援。

MySQL 5.7 相容性

Aurora MySQL 2.04.4 有 MySQL 5.7 線路相容性,包括 JSON 支援、空間索引和產生欄位等功能。相較於 MySQL 5.7,Aurora MySQL 採用的空間索引原生實作主要利用 Z 階曲線,可為空間資料集提供超過 20 倍的寫入效能和超過 10 倍的讀取效能。

Aurora MySQL 2.04.4 目前不支援下列 MySQL 5.7 功能:

  • 群組複寫外掛程式

  • 已增加的頁面大小

  • 啟動時載入 InnoDB 緩衝集區

  • InnoDB 全文剖析器外掛程式

  • 多來源複寫

  • 線上緩衝集區大小調整

  • 密碼驗證外掛程式

  • 查詢重寫外掛程式

  • 複寫篩選

  • CREATE TABLESPACE SQL 陳述式